package com.liquidnet.client.admin.web.vo.adam.transaction;

/**
 * @author AnJiabin <jiabin.an@lightnet.io>
 * @version V1.0
 * @Description: TODO
 * @class: AdamPayoutDetailVo
 * @Package com.liquidnet.client.admin.web.vo.adam.transaction
 * @Copyright: LightNet @ Copyright (c) 2020
 * @date 2020/11/6 14:21
 */
public class AdamPayoutDetailVo {
    /**
     * Payout Details
     */
    private String accountNo;

    private String sourceCurrency;

    private String amount;

    private String executionDate;
    private String payoutWithFx;
    private String fxContractNo;
    private String fxQuote;
    private String paymentPurpose;
    private String paymentReference;

    /**
     * Sender Information
     */
    private String senderName;
    private String senderIdNumber;
    private String senderAddress;
    private String senderCity;
    private String senderCountry;

    /**
     * Beneficiary Information
     */
    private String beneficiaryName;
    private String beneficiaryCountry;
    private String beneficiaryAddress;
    private String beneficiaryCity;
    private String beneficiaryPostCode;
    private String beneficiaryStateOrProvince;
    private String beneficiaryBankCountry;
    private String beneficiaryCurrency;
    private String beneficiaryAccountNo;
    private String paymentMethod;
    private String beneficiaryBankCode;
    private String beneficiaryBankName;

    public String getAccountNo() {
        return accountNo;
    }

    public void setAccountNo(String accountNo) {
        this.accountNo = accountNo;
    }

    public String getSourceCurrency() {
        return sourceCurrency;
    }

    public void setSourceCurrency(String sourceCurrency) {
        this.sourceCurrency = sourceCurrency;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getExecutionDate() {
        return executionDate;
    }

    public void setExecutionDate(String executionDate) {
        this.executionDate = executionDate;
    }

    public String getPayoutWithFx() {
        return payoutWithFx;
    }

    public void setPayoutWithFx(String payoutWithFx) {
        this.payoutWithFx = payoutWithFx;
    }

    public String getFxContractNo() {
        return fxContractNo;
    }

    public void setFxContractNo(String fxContractNo) {
        this.fxContractNo = fxContractNo;
    }

    public String getFxQuote() {
        return fxQuote;
    }

    public void setFxQuote(String fxQuote) {
        this.fxQuote = fxQuote;
    }

    public String getPaymentPurpose() {
        return paymentPurpose;
    }

    public void setPaymentPurpose(String paymentPurpose) {
        this.paymentPurpose = paymentPurpose;
    }

    public String getPaymentReference() {
        return paymentReference;
    }

    public void setPaymentReference(String paymentReference) {
        this.paymentReference = paymentReference;
    }

    public String getSenderName() {
        return senderName;
    }

    public void setSenderName(String senderName) {
        this.senderName = senderName;
    }

    public String getSenderIdNumber() {
        return senderIdNumber;
    }

    public void setSenderIdNumber(String senderIdNumber) {
        this.senderIdNumber = senderIdNumber;
    }

    public String getSenderAddress() {
        return senderAddress;
    }

    public void setSenderAddress(String senderAddress) {
        this.senderAddress = senderAddress;
    }

    public String getSenderCity() {
        return senderCity;
    }

    public void setSenderCity(String senderCity) {
        this.senderCity = senderCity;
    }

    public String getSenderCountry() {
        return senderCountry;
    }

    public void setSenderCountry(String senderCountry) {
        this.senderCountry = senderCountry;
    }

    public String getBeneficiaryName() {
        return beneficiaryName;
    }

    public void setBeneficiaryName(String beneficiaryName) {
        this.beneficiaryName = beneficiaryName;
    }

    public String getBeneficiaryCountry() {
        return beneficiaryCountry;
    }

    public void setBeneficiaryCountry(String beneficiaryCountry) {
        this.beneficiaryCountry = beneficiaryCountry;
    }

    public String getBeneficiaryAddress() {
        return beneficiaryAddress;
    }

    public void setBeneficiaryAddress(String beneficiaryAddress) {
        this.beneficiaryAddress = beneficiaryAddress;
    }

    public String getBeneficiaryCity() {
        return beneficiaryCity;
    }

    public void setBeneficiaryCity(String beneficiaryCity) {
        this.beneficiaryCity = beneficiaryCity;
    }

    public String getBeneficiaryStateOrProvince() {
        return beneficiaryStateOrProvince;
    }

    public void setBeneficiaryStateOrProvince(String beneficiaryStateOrProvince) {
        this.beneficiaryStateOrProvince = beneficiaryStateOrProvince;
    }

    public String getBeneficiaryBankCountry() {
        return beneficiaryBankCountry;
    }

    public void setBeneficiaryBankCountry(String beneficiaryBankCountry) {
        this.beneficiaryBankCountry = beneficiaryBankCountry;
    }

    public String getBeneficiaryCurrency() {
        return beneficiaryCurrency;
    }

    public void setBeneficiaryCurrency(String beneficiaryCurrency) {
        this.beneficiaryCurrency = beneficiaryCurrency;
    }

    public String getBeneficiaryAccountNo() {
        return beneficiaryAccountNo;
    }

    public void setBeneficiaryAccountNo(String beneficiaryAccountNo) {
        this.beneficiaryAccountNo = beneficiaryAccountNo;
    }

    public String getPaymentMethod() {
        return paymentMethod;
    }

    public void setPaymentMethod(String paymentMethod) {
        this.paymentMethod = paymentMethod;
    }

    public String getBeneficiaryBankCode() {
        return beneficiaryBankCode;
    }

    public void setBeneficiaryBankCode(String beneficiaryBankCode) {
        this.beneficiaryBankCode = beneficiaryBankCode;
    }

    public String getBeneficiaryBankName() {
        return beneficiaryBankName;
    }

    public void setBeneficiaryBankName(String beneficiaryBankName) {
        this.beneficiaryBankName = beneficiaryBankName;
    }

    public String getBeneficiaryPostCode() {
        return beneficiaryPostCode;
    }

    public void setBeneficiaryPostCode(String beneficiaryPostCode) {
        this.beneficiaryPostCode = beneficiaryPostCode;
    }

}
